#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%define		__python	/usr/bin/python3
%define		_builddir	%{_topdir}/BUILD_%(basename %{__python})
%define		sname		%(echo %{name}  | cut -d '-' -f2-3)
%global		short		yaml
%global		debug_package	%{nil}
#-----------------------------------------------------------------------------
Name		:	python3-PyYAML
Version		:	5.3.1
Release		:	14.4.0.0%{?dist}
Summary		:	YAML parser and emitter for Python

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	MIT
URL		:	https://http://pyyaml.org/download/pyyaml

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	%(basename %{__python})
BuildRequires	:	libyaml
#-----------------------------------------------------------------------------
%description
YAML is a data serialization format designed for human
readability and interaction with scripting languages.
PyYAML is a YAML parser and emitter for Python.

PyYAML features a complete YAML 1.1 parser, Unicode
support, pickle support, capable extension API, and
sensible error messages.  PyYAML supports standard
YAML tags and provides Python-specific tags that
allow to represent an arbitrary Python object.

PyYAML is applicable for a broad range of tasks
from complex configuration files to object serialization
and persistence.
#-----------------------------------------------------------------------------
%prep
%setup -q -n %{sname}-%{version}

#-----------------------------------------------------------------------------
#building application
%build
%{__python}						\
	setup.py					\
	build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}							\
	setup.py						\
	install							\
	-O1							\
	--skip-build						\
	--prefix=%{_prefix}					\
	--root %{buildroot}					\

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
%doc README
%license LICENSE
#{python3_sitelib}/_%{short}.*.so
%{python3_sitelib}/%{short}/*.py
%{python3_sitelib}/%{short}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}-*.egg-info

#-----------------------------------------------------------------------------
%changelog
